# defektor_api
defektor controll aplication interface

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import defektor_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import defektor_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import defektor_api
from defektor_api.rest import ApiException
from pprint import pprint


# Defining host is optional and default to https://virtserver.swaggerhub.com/jaimelive/defektorControlAPI/1.0.0
configuration.host = "https://virtserver.swaggerhub.com/jaimelive/defektorControlAPI/1.0.0"
# Enter a context with an instance of the API client
with defektor_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = defektor_api.DefaultApi(api_client)
    
    try:
        # list ijk (injektors)
        api_response = api_instance.ijk_list()
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DefaultApi->ijk_list: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *https://virtserver.swaggerhub.com/jaimelive/defektorControlAPI/1.0.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**ijk_list**](docs/DefaultApi.md#ijk_list) | **GET** /ijk | list ijk (injektors)
*DefaultApi* | [**plan_add**](docs/DefaultApi.md#plan_add) | **POST** /plan | add plan
*DefaultApi* | [**plan_delete**](docs/DefaultApi.md#plan_delete) | **DELETE** /plan/{planId} | delete plan
*DefaultApi* | [**plan_get**](docs/DefaultApi.md#plan_get) | **GET** /plan/{planId} | plan info
*DefaultApi* | [**plan_list**](docs/DefaultApi.md#plan_list) | **GET** /plan | list plans
*DefaultApi* | [**plan_validate**](docs/DefaultApi.md#plan_validate) | **POST** /plan/validate | validate plan
*DefaultApi* | [**slave_add**](docs/DefaultApi.md#slave_add) | **POST** /slave | add slave machine
*DefaultApi* | [**slave_delete**](docs/DefaultApi.md#slave_delete) | **DELETE** /slave/{slaveId} | delete slave machine
*DefaultApi* | [**slave_get**](docs/DefaultApi.md#slave_get) | **GET** /slave/{slaveId} | slave machine info
*DefaultApi* | [**slave_list**](docs/DefaultApi.md#slave_list) | **GET** /slave | list slave machines
*DefaultApi* | [**target_get**](docs/DefaultApi.md#target_get) | **GET** /target/{target} | list target instances
*DefaultApi* | [**target_list**](docs/DefaultApi.md#target_list) | **GET** /target | list targets


## Documentation For Models

 - [DockerImage](docs/DockerImage.md)
 - [Ijk](docs/Ijk.md)
 - [Injektion](docs/Injektion.md)
 - [Plan](docs/Plan.md)
 - [SSHCredentials](docs/SSHCredentials.md)
 - [Slave](docs/Slave.md)
 - [Target](docs/Target.md)
 - [TargetType](docs/TargetType.md)
 - [WorkLoad](docs/WorkLoad.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author

sob@dei.uc.pt


